Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.io.common
Class T3FileOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--weblogic.io.common.T3FileOutputStream

public abstract class T3FileOutputStream
extends java.io.OutputStream

The superclass of all T3FileOutputStream objects. Implemented as an abstract class, rather than an interface, so that `java.io.OutputStream` can be a super class. This allows T3FileOutputStreams to be easily plugged into existing code that uses OutputStreams. T3FileOutputStreams are produced by T3Files, and as such may be associated with local files on the client or remote files on the server. This makes it easy to write code that treats the two uniformly. In addition to the methods on `java.io.OutputStream`, T3FileOutputStream has methods to report the buffer size and write behind. These values are not used for local files.

Author:
  Copyright (c) 1996-97 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `T3File`

Constructor Summary
`T3FileOutputStream()`

Method Summary
`abstract int` | `bufferSize()` Returns the size of the transfer buffer in bytes.
`abstract int` | `writeBehind()` Returns the number of unwritten transfer buffers that can be outstanding before the next write is blocked.

Methods inherited from class java.io.OutputStream
`close, flush, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### T3FileOutputStream

    public T3FileOutputStream()

Method Detail

### bufferSize

    public abstract int bufferSize()

  Returns the size of the transfer buffer in bytes.

  Returns:
    Size of buffer as an int

### writeBehind

    public abstract int writeBehind()

  Returns the number of unwritten transfer buffers that can be outstanding before the next write is blocked.

  Returns:
    Number of buffers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD